<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{E465CEF1-0AB2-4D83-BDAC-EB463FAAFA30}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>TsSFCDevice.Client.Biz</RootNamespace>
    <AssemblyName>TsSFCDevice.Client.Biz</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.12.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=5.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\packages\NLog.5.3.2\lib\net45\NLog.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Base\Service\ParametersObject.cs" />
    <Compile Include="Base\Service\TsSFCMainSvc.cs" />
    <Compile Include="Base\Utils\SysRuntimeInfo.cs" />
    <Compile Include="Base\Utils\Utility.cs" />
    <Compile Include="Common.cs" />
    <Compile Include="His\DevDataHistory.cs" />
    <Compile Include="His\DevOpsHistory.cs" />
    <Compile Include="His\FieldDataHistory.cs" />
    <Compile Include="His\FieldOpsHistory.cs" />
    <Compile Include="His\TagDataHistory.cs" />
    <Compile Include="Impl\CheckFormRepository.cs" />
    <Compile Include="Impl\CommonRepository.cs" />
    <Compile Include="Impl\CustomFieldRepository.cs" />
    <Compile Include="Impl\DevRepository.cs" />
    <Compile Include="Impl\EquipmentJumpPlanCheckRepository.cs" />
    <Compile Include="Impl\HisRepository.cs" />
    <Compile Include="Impl\MaintenanceRepository.cs" />
    <Compile Include="Impl\PlanRepository.cs" />
    <Compile Include="Impl\PreserveRepository.cs" />
    <Compile Include="Impl\SFCRepository.cs" />
    <Compile Include="Impl\TagRepository.cs" />
    <Compile Include="Impl\UserRepository.cs" />
    <Compile Include="Models\Enum\enumMonth.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="Scheduler.cs" />
    <Compile Include="Web References\DeviceSvc\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.map</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <Content Include="Nlog.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <None Include="Web References\DeviceSvc\APIResponseData.datasource">
      <DependentUpon>Reference.map</DependentUpon>
    </None>
    <None Include="Web References\DeviceSvc\MainService.wsdl" />
    <None Include="Web References\DeviceSvc\Reference.map">
      <Generator>MSDiscoCodeGenerator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <WebReferences Include="Web References\" />
  </ItemGroup>
  <ItemGroup>
    <WebReferenceUrl Include="http://localhost/TsSFCDeviceSvc/MainService.asmx">
      <UrlBehavior>Dynamic</UrlBehavior>
      <RelPath>Web References\DeviceSvc\</RelPath>
      <UpdateFromURL>http://localhost/TsSFCDeviceSvc/MainService.asmx</UpdateFromURL>
      <ServiceLocationURL>
      </ServiceLocationURL>
      <CachedDynamicPropName>
      </CachedDynamicPropName>
      <CachedAppSettingsObjectName>Settings</CachedAppSettingsObjectName>
      <CachedSettingsPropName>TsSFCDevice_Client_Biz_DeviceSvc_main</CachedSettingsPropName>
    </WebReferenceUrl>
  </ItemGroup>
  <ItemGroup>
    <None Include="Web References\DeviceSvc\MainService.disco" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DeviceRepair.Models\DeviceRepair.Models.csproj">
      <Project>{2a1ffb12-b20f-4f9b-905e-1f928f17b4ee}</Project>
      <Name>DeviceRepair.Models</Name>
    </ProjectReference>
    <ProjectReference Include="..\DeviceRepair.Utils\DeviceRepair.Utils.csproj">
      <Project>{2ae8089a-c70a-47be-921b-de6a502f8d04}</Project>
      <Name>DeviceRepair.Utils</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>